Extrude Points?


#1

Is there any way to extrude points to create lines?

I have sets of hundreds of coplanar points that I would like to create lines radiating from in the same direction.


(Lando Schumpich) #2

If you are familiar with grasshopper there is a component that does exactly what you want:

‘Line SDL’ asks for a point, a direction vector and the desired linelength and generates lines from that.

https://rhino.github.io/components/curve/lineSDL.html


#3

Someone wrote a script to do this… I think @vittorio? or maybe @clement?


#4

Try the attached Python Script.

import rhinoscriptsyntax as rs
def estrudi_punti():

rs.Command("_line")    #draw the line you want
line=rs.LastCreatedObjects()
ps=rs.CurveStartPoint(line)
print "ps"+str(ps)
points=rs.GetObjects("Select points",1)
rs.EnableRedraw(False)
print points
for point in points:
    vect=rs.VectorCreate(point,ps)
    rs.CopyObject(line,vect)
rs.EnableRedraw(True)

estrudi_punti()

Vittorio


#5

@bigjimslade, here is another one: ExtrudePoints.py (1.3 KB)
_
c.


#6

btw @all, i totaly forgot this, in V6 you can extrude points into lines by using the gumball.

_
c.


(Pascal Golay) #7

heh heh - yeah, I was holding that back so as not to stress mac users with things they can’t have! (yet, of course)

-Pascal


#8

Oh, are there more goodies hidden under the hood for that reason we don’t know yet ?

You can tell us everything, we keep it a secret :crossed_fingers:

_
c.


(Pascal Golay) #9

Well, you know how Rhino 6 for Windows lets you know when it’s 10 minutes to 5 and pours you a drink? Rhino Mac does not have that yet but I didn’t want anyone to feel bad.

-Pascal


#10

Thanks all for the help. I’ll try these scripts out.

I have people anxiously waiting for me to draw some plans which has me waiting for the new Make2d which has me waiting for V6.